import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INPerson } from "./INPerson.js";
import type { INCallCapability } from "./INCallCapability.js";
import type { INCallRecordType } from "./INCallRecordType.js";
export declare class _INCallRecord extends _NSObject {
    static alloc(): _INCallRecord;
    static new(): _INCallRecord;
    init(): _INCallRecord;
    initWithIdentifier$dateCreated$callRecordType$callCapability$callDuration$unseen$participants$numberOfCalls$isCallerIdBlocked$(identifier: _NSString, dateCreated: _NSDate | null, callRecordType: INCallRecordType, callCapability: INCallCapability, callDuration: _NSNumber | null, unseen: _NSNumber | null, participants: _NSArray | null, numberOfCalls: _NSNumber | null, isCallerIdBlocked: _NSNumber | null): _INCallRecord;
    initWithIdentifier$dateCreated$callRecordType$callCapability$callDuration$unseen$(identifier: _NSString, dateCreated: _NSDate | null, callRecordType: INCallRecordType, callCapability: INCallCapability, callDuration: _NSNumber | null, unseen: _NSNumber | null): _INCallRecord;
    initWithIdentifier$dateCreated$callRecordType$callCapability$callDuration$unseen$numberOfCalls$(identifier: _NSString, dateCreated: _NSDate | null, callRecordType: INCallRecordType, callCapability: INCallCapability, callDuration: _NSNumber | null, unseen: _NSNumber | null, numberOfCalls: _NSNumber | null): _INCallRecord;
    initWithIdentifier$dateCreated$caller$callRecordType$callCapability$callDuration$unseen$(identifier: _NSString, dateCreated: _NSDate | null, caller: _INPerson | null, callRecordType: INCallRecordType, callCapability: INCallCapability, callDuration: _NSNumber | null, unseen: _NSNumber | null): _INCallRecord;
    initWithIdentifier$dateCreated$caller$callRecordType$callCapability$callDuration$unseen$numberOfCalls$(identifier: _NSString, dateCreated: _NSDate | null, caller: _INPerson | null, callRecordType: INCallRecordType, callCapability: INCallCapability, callDuration: _NSNumber | null, unseen: _NSNumber | null, numberOfCalls: _NSNumber | null): _INCallRecord;
    identifier(): _NSString;
    dateCreated(): _NSDate | null;
    callRecordType(): INCallRecordType;
    callDuration(): _NSNumber;
    unseen(): _NSNumber;
    callCapability(): INCallCapability;
    numberOfCalls(): _NSNumber;
    isCallerIdBlocked(): _NSNumber;
    participants(): _NSArray | null;
    /** @deprecated */
    caller(): _INPerson | null;
}
export interface _INCallRecord extends _NSCopying, _NSSecureCoding {
}
